[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit '_crw_alloc' (#crwlib)

# TMasterObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_alloc.pas line 474

`type TMasterObject = class(TObject)`
`protected`
`function CheckOk; virtual;`
`function GetMaster;`
`procedure SetMaster();`
`procedure ClearMaster;`
`procedure ErrorFound(); virtual;`
`procedure ErrorReport();`
`public`
`constructor Create;`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`property Ok: Boolean; [r]`
`property Ref: Integer; [r]`
`property Master: PMasterObject; [rw]`
`property Exceptions: Boolean; [rw]`
`property ErrorReportProc: TBugReportProc; [w]`
`end;`

## Inheritance

`TMasterObject`
`TObject`